Package writer2latex.xhtml

# Class FrameStyleConverter

java.lang.Object
writer2latex.xhtml.StyleConverterHelper
writer2latex.xhtml.StyleWithPropertiesConverterHelper
writer2latex.xhtml.FrameStyleConverter

Direct Known Subclasses:
  `PresentationStyleConverter`

public class FrameStyleConverter extends StyleWithPropertiesConverterHelper
This class converts OpenDocument graphic (frame) styles to CSS2 styles. This includes conversion of frame properties in other styles (paragraph, cell, section, page and presentation styles).

## Field Summary

### Fields inherited from class writer2latex.xhtml.StyleConverterHelper

`bConvertHard, bConvertStyles, nType, styleMap, styleNames`

## Constructor Summary

Constructors
Constructor
Description
`FrameStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `FrameStyleConverter`

## Method Summary

Modifier and Type
Method
Description
`void`
`applyProperties(StyleWithProperties style, CSVList props, boolean bInherit)`
Convert formatting properties for a specific frame style.
`String`
`borderScale(String sBorder)`
`void`
`cssBackground(StyleWithProperties style, CSVList props, boolean bInherit)`
`void`
`cssBackgroundCommon(StyleWithProperties style, CSVList props, boolean bInherit)`
`void`
`cssBorder(StyleWithProperties style, CSVList props, boolean bInherit)`
`void`
`cssBox(StyleWithProperties style, CSVList props, boolean bInherit)`
`void`
`cssMargins(StyleWithProperties style, CSVList props, boolean bInherit)`
`void`
`cssPadding(StyleWithProperties style, CSVList props, boolean bInherit)`
`String`
`getClassNamePrefix()`
Return a prefix to be used in generated css class names
`String`
`getDefaultTagName(StyleWithProperties style)`
Create default tag name to represent a frame
`String`
`getStyleDeclarations(String sIndent)`
Convert style information for used styles
`OfficeStyleFamily`
`getStyles()`
Get the family of frame styles

### Methods inherited from class writer2latex.xhtml.StyleWithPropertiesConverterHelper

`applyStyle`

### Methods inherited from class writer2latex.xhtml.StyleConverterHelper

`applyDirection, applyLang, colScale, scale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameStyleConverter

public FrameStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)
Create a new `FrameStyleConverter`

Parameters:
  `ofr` - an `OfficeReader` to read style information from
  `config` - the configuration to use
  `converter` - the main `Converter` class
  `nType` - the type of xhtml to use

## Method Details

### getStyleDeclarations

public String getStyleDeclarations(String sIndent)
Convert style information for used styles

Overrides:
  `getStyleDeclarations` in class `StyleWithPropertiesConverterHelper`
Parameters:
  `sIndent` - a String of spaces to add before each line

### getClassNamePrefix

public String getClassNamePrefix()
Return a prefix to be used in generated css class names

Overrides:
  `getClassNamePrefix` in class `StyleWithPropertiesConverterHelper`
Returns:
  the prefix

### getStyles

public OfficeStyleFamily getStyles()
Get the family of frame styles

Specified by:
  `getStyles` in class `StyleConverterHelper`
Returns:
  the style family

### getDefaultTagName

public String getDefaultTagName(StyleWithProperties style)
Create default tag name to represent a frame

Specified by:
  `getDefaultTagName` in class `StyleWithPropertiesConverterHelper`
Parameters:
  `style` - to use
Returns:
  the tag name.

### applyProperties

public void applyProperties(StyleWithProperties style, CSVList props, boolean bInherit)
Convert formatting properties for a specific frame style.

Specified by:
  `applyProperties` in class `StyleWithPropertiesConverterHelper`
Parameters:
  `style` - the style to convert
  `props` - the `CSVList` object to add information to
  `bInherit` - true if properties should be inherited from parent style(s)

### cssBox

public void cssBox(StyleWithProperties style, CSVList props, boolean bInherit)

### cssMargins

public void cssMargins(StyleWithProperties style, CSVList props, boolean bInherit)

### cssBorder

public void cssBorder(StyleWithProperties style, CSVList props, boolean bInherit)

### cssPadding

public void cssPadding(StyleWithProperties style, CSVList props, boolean bInherit)

### cssBackgroundCommon

public void cssBackgroundCommon(StyleWithProperties style, CSVList props, boolean bInherit)

### cssBackground

public void cssBackground(StyleWithProperties style, CSVList props, boolean bInherit)

### borderScale

public String borderScale(String sBorder)